# Interface IMediaTransformation

#### Hierarchy

- IMediaTransformation

- Defined in src/file/media/media.ts:5

#####
Index

### Properties

flip?
height
rotation?
width

## Properties

### `Optional` `Readonly` flip

flip?: { horizontal?: boolean; vertical?: boolean }

#### Type declaration

- ##### `Optional` `Readonly` horizontal?: boolean

- ##### `Optional` `Readonly` vertical?: boolean

- Defined in src/file/media/media.ts:8

### `Readonly` height

height: number

- Defined in src/file/media/media.ts:7

### `Optional` `Readonly` rotation

rotation?: number

- Defined in src/file/media/media.ts:12

### `Readonly` width

width: number

- Defined in src/file/media/media.ts:6

Generated using TypeDoc